#include "ops.h"

namespace operators {
static float epsilon = 1e-6;

float is_close(float x, float y) {
    // 请修改这里的return语句
    return 0.0;
}

float sigmoid(float x) {
    // 请修改这里的return语句
    return 0.0;
}

float relu(float x) {
    // 请修改这里的return语句
    return 0.0;
}

float inv(float x) {
    // 请修改这里的return语句
    return 0.0;
}

float inv_back(float x, float d) {
    // 请修改这里的return语句
    return 0.0;
}

float relu_back(float x, float d) {
    // 请修改这里的return语句
    return 0.0;
}

auto sumList(const std::vector<float>& vec) -> float {
    return reduce(vec, 0.0f, add<float>);
}

auto prodList(const std::vector<float>& vec) -> float {
    // 请修改这里的return语句
    return 0.0f;
}

auto addLists(const std::vector<float>& vec1, const std::vector<float>& vec2) -> std::vector<float> {
    // 请修改这里的return语句
    return std::vector<float>(1, 0.0f);
}

auto negList(const std::vector<float>& vec) -> std::vector<float> {
    // 请修改这里的return语句
    return std::vector<float>(1, 0.0f);
}
}
